Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence.meta
Class Members.KeyAttributeImpl<X,K>

    java.lang.Object
      org.apache.openjpa.persistence.meta.Members.Member<X,C>
          org.apache.openjpa.persistence.meta.Members.PluralAttributeImpl<X,Set<E>,E>
              org.apache.openjpa.persistence.meta.Members.SetAttributeImpl<X,K>
                  org.apache.openjpa.persistence.meta.Members.KeyAttributeImpl<X,K>

Type Parameters:
  `X` - the declaring type of the original java.util.Map<K,V> attribute
  `K` - the type of the key of the original java.util.Map<K,V> attribute

All Implemented Interfaces:
  Comparable<Members.Member<X,Set<K>>>, Attribute<X,Set<K>>, Bindable<K>, PluralAttribute<X,Set<K>,K>, SetAttribute<X,K>

Enclosing class:
  Members

    public static class Members.KeyAttributeImpl<X,K>

extends Members.SetAttributeImpl<X,K>

Represents the keys of java.util.Map<K,V> in managed type <X> as a pseudo-attribute of type java.util.Set<K>.

Nested Class Summary

Nested classes/interfaces inherited from interface javax.persistence.metamodel.PluralAttribute
`PluralAttribute.CollectionType`

Nested classes/interfaces inherited from interface javax.persistence.metamodel.Attribute
`Attribute.PersistentAttributeType`

Nested classes/interfaces inherited from interface javax.persistence.metamodel.Bindable
`Bindable.BindableType`

Field Summary

Fields inherited from class org.apache.openjpa.persistence.meta.Members.Member
`fmd, owner`

Constructor Summary
`Members.KeyAttributeImpl(AbstractManagedType<X> owner, FieldMetaData fmd)`

Method Summary
`Class<K>` | `getBindableJavaType()` Returns the bindable Java type of this attribute.

Methods inherited from class org.apache.openjpa.persistence.meta.Members.SetAttributeImpl
`getCollectionType`

Methods inherited from class org.apache.openjpa.persistence.meta.Members.PluralAttributeImpl
`getBindableType, getElementType, getPersistentAttributeType`

Methods inherited from class org.apache.openjpa.persistence.meta.Members.Member
`compareTo, getDeclaringType, getJavaMember, getJavaType, getName, getType, isAssociation, isCollection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.persistence.metamodel.PluralAttribute
`getElementType`

Methods inherited from interface javax.persistence.metamodel.Attribute
`getDeclaringType, getJavaMember, getJavaType, getName, getPersistentAttributeType, isAssociation, isCollection`

Methods inherited from interface javax.persistence.metamodel.Bindable
`getBindableType`

Constructor Detail

### Members.KeyAttributeImpl

    public Members.KeyAttributeImpl(AbstractManagedType<X> owner,
                                    FieldMetaData fmd)

Method Detail

### getBindableJavaType

    public Class<K> getBindableJavaType()

  Description copied from class: `Members.PluralAttributeImpl`
  Returns the bindable Java type of this attribute. For PLURAL_ATTRIBUTE, the Java element type is returned.

  Specified by:
    `getBindableJavaType` in interface `Bindable<K>`
  Overrides:
    `getBindableJavaType` in class `Members.PluralAttributeImpl<X,Set<K>,K>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.